
GammaLib - Action #1856

Add GTime::now() method

09/28/2016 06:51 PM - Knödlseder Jürgen

Status: Closed Start date: 09/28/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

Add now() method to the GTime class that sets a time object to the current time.

History

#1 - 10/05/2016 12:37 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.2.0

- % Done changed from 0 to 90

Time setting and getting methods for Julian Days, Modified Julian Days, native seconds and native days are now available in the GTime class that

allow specifying the time system. Currently, TT, TAI and UTC are supported.

Methods have also been added to the GTime class that return the Greenwich mean and apparent siderial times, and the local mean and apparent

siderial times that depend on the geographic longitude.

Finally, a now() method has been added to the GTime class that sets the time to the current time.

#2 - 10/05/2016 02:03 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 90 to 100

Merged into devel.
